/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core;

public class InternalStateError extends RuntimeException
{
  // Attributes
  private Exception e = null;           // internal "root cause" exception

  public InternalStateError()
  {
    super();

  } // end constructor

  public InternalStateError(String msg)
  {
    super(msg);

  } // end constructor

  public InternalStateError(Exception e)
  {
    super(e.getMessage());
    this.e = e;

  } // end constructor

  public InternalStateError(String msg, Exception e)
  {
    super(msg);
    this.e = e;

  } // end constructor

  protected void finalize() throws Throwable
  {
    e = null;
    super.finalize();

  } // end finalize

  public Exception getException()
  {
    return e;

  } // end getException

} // end class InternalStateError
