/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.security;

public class Capability implements SecLevels
{
  public static boolean canDesignatePFYs(int level)
  {
    return (level>=GLOBAL_BOFH);

  } // end canDesignatePFYs

  public static boolean isCommunityAdmin(int level)
  {
    return (level>=COMM_ANYADMIN);

  } // end isCommunityAdmin

  public static boolean hideHiddenCategories(int level)
  {
    return (level<GLOBAL_ANYADMIN);

  } // end hideHiddenCategories

  public static boolean exemptFromEmailVerification(int level)
  {
    return (level>=GLOBAL_ANYADMIN);

  } // end exemptFromEmailVerification

  public static boolean canSeeHiddenContactFields(int level)
  {
    return (level>=GLOBAL_ANYADMIN);

  } // end canSeeHiddenContactFields

  public static boolean exemptFromMembershipRequirement(int level)
  {
    return (level>=GLOBAL_ANYADMIN);

  } // end exemptFromMembershipRequirement

  public static boolean hideHiddenSearchCommunities(int level)
  {
    return (level<GLOBAL_ANYADMIN);

  } // end hideHiddenSearchCommunities

  public static boolean hideHiddenDirectoryCommunities(int level)
  {
    return (level<GLOBAL_ANYADMIN);

  } // end hideHiddenSearchCommunities

  public static boolean canJoinPrivateCommunityWithoutKey(int level)
  {
    return (level>=GLOBAL_ANYADMIN);

  } // end canJoinPrivateCommunityWithoutKey

  public static boolean showHiddenSearchCategories(int level)
  {
    return (level>=GLOBAL_ANYADMIN);

  } // end showHioddenSearchCategories

  public static boolean showHiddenCommunityMembers(int level)
  {
    return (level>=COMM_ANYADMIN);

  } // end showHiddenCommunityMembers

  public static boolean hideHiddenConferences(int level)
  {
    return (level<COMM_ANYADMIN);

  } // end hideHiddenConferences

  public static boolean canAdministerSystem(int level)
  {
    return (level>=GLOBAL_ANYADMIN);

  } // end canAdministerSystem

  public static boolean canPublishToFrontPage(int level)
  {
    return (level>=GLOBAL_ANYADMIN);

  } // end canPublishToFrontPage

} // end class Capability
